diff --git a/Makefile b/Makefile
index 0003b8c..0314d2f 100644
--- a/Makefile
+++ b/Makefile
@@ -14,8 +14,9 @@ LSP=${SPD}/lsp
 #GCLVERSION=gcl-2.6.6
 #GCLVERSION=gcl-2.6.7pre
 #GCLVERSION=gcl-2.6.7
-GCLVERSION=gcl-2.6.8pre
+#GCLVERSION=gcl-2.6.8pre
 #GCLVERSION=gcl-2.6.8pre2
+GCLVERSION=gcl-2.6.8pre3
 AWK=gawk
 GCLDIR=${LSP}/${GCLVERSION}
 SRC=${SPD}/src
diff --git a/Makefile.pamphlet b/Makefile.pamphlet
index 18105ad..246d9ac 100644
--- a/Makefile.pamphlet
+++ b/Makefile.pamphlet
@@ -749,9 +749,9 @@ forget to erase the lsp/Makefile the wrong patches will be applied.
 #GCLVERSION=gcl-2.6.6
 #GCLVERSION=gcl-2.6.7pre
 #GCLVERSION=gcl-2.6.7
-GCLVERSION=gcl-2.6.8pre
+#GCLVERSION=gcl-2.6.8pre
 #GCLVERSION=gcl-2.6.8pre2
-#GCLVERSION=gcl-2.6.8pre3 
+GCLVERSION=gcl-2.6.8pre3 
 @
 
 \subsubsection{The [[GCLOPTS]] configure variable}
diff --git a/changelog b/changelog
index 4fe3151..ffc5154 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,9 @@
+20081213 tpd src/axiom-website/patches.html 20081213.01.tpd.patch
+20081213 tpd zips/gcl-2.6.8pre3.unixport.makefile.patch move to gcl-pre3
+20081213 tpd zips/gcl-2.6.8pre3.unixport.init_gcl.lsp.in.patch move to gcl-pre3
+20081213 tpd zips/gcl-2.6.8pre3.tgz move to gcl-pre3
+20081213 tpd Makefile.pamphlet move to gcl-pre3
+20081213 tpd Makefile move to gcl-pre3
 20081212 tpd src/axiom-website/patches.html 20081212.01.tpd.patch
 20081212 tpd books/bookvol4.pamphlet added
 20081212 tpd books/ps/v103univariateskewpolynomial.ps added
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 6dbfd08..fb4cca2 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -795,6 +795,10 @@ bookvol10.3 add domains<br/>
 bookvol10.3 add domains<br/>
 <a href="patches/20081211.01.tpd.patch">20081211.01.tpd.patch</a>
 regression test suite cleanup<br/>
+<a href="patches/20081212.01.tpd.patch">20081212.01.tpd.patch</a>
+bookvol10.3 add domains<br/>
+<a href="patches/20081213.01.tpd.patch">20081213.01.tpd.patch</a>
+lisp move to GCL-pre3<br/>
 
  </body>
 </html>
\ No newline at end of file
diff --git a/zips/gcl-2.6.8pre3.tgz b/zips/gcl-2.6.8pre3.tgz
index 93c17d8..b1437ad 100644
Binary files a/zips/gcl-2.6.8pre3.tgz and b/zips/gcl-2.6.8pre3.tgz differ
diff --git a/zips/gcl-2.6.8pre3.unixport.init_gcl.lsp.in.patch b/zips/gcl-2.6.8pre3.unixport.init_gcl.lsp.in.patch
index 0828565..553d963 100644
--- a/zips/gcl-2.6.8pre3.unixport.init_gcl.lsp.in.patch
+++ b/zips/gcl-2.6.8pre3.unixport.init_gcl.lsp.in.patch
@@ -1,11 +1,13 @@
---- init_gcl.lsp.in	2008-11-22 05:33:51.000000000 -0500
-+++ init_gcl.lsp.in.new	2008-11-22 05:34:00.000000000 -0500
-@@ -85,7 +85,7 @@
+--- init_gcl.lsp.in	2006-10-25 17:17:05.000000000 -0400
++++ init_gcl.lsp.in.tpd	2008-11-21 13:35:59.000000000 -0500
+@@ -85,8 +85,8 @@
     (cond ((si::get-command-arg "-batch")
  	  (setq si::*top-level-hook* 'bye))
  	 ((si::get-command-arg "-f"))
 -	 (t (format t si::*system-banner*)
-+	 (t ;(format t si::*system-banner*)
- 	    (format t "Temporary directory for compiler files set to ~a~%" *tmp-dir*)))
+-	    (format t "Temporary directory for compiler files set to ~a~%" *tmp-dir*)))
++	 (t (format nil si::*system-banner*)
++	    (format nil "Temporary directory for compiler files set to ~a~%" *tmp-dir*)))
     (setq si::*ihs-top* 1)
     (in-package 'system::user) (incf system::*ihs-top* 2)
+    (funcall system::*old-top-level*))
diff --git a/zips/gcl-2.6.8pre3.unixport.makefile.patch b/zips/gcl-2.6.8pre3.unixport.makefile.patch
index 56ed9a4..4af04b1 100644
--- a/zips/gcl-2.6.8pre3.unixport.makefile.patch
+++ b/zips/gcl-2.6.8pre3.unixport.makefile.patch
@@ -1,12 +1,12 @@
---- makefile	Sun Jul 24 12:55:39 2005
-+++ makefile.tpd	Sun Jul 24 15:40:01 2005
-@@ -14,7 +14,8 @@
+--- makefile	2006-08-23 14:14:22.000000000 -0400
++++ makefile.tpd	2008-11-21 13:31:06.000000000 -0500
+@@ -15,7 +15,8 @@
  PORTDIR = $(shell pwd)
  
  LD_LIBS_PRE=$(FIRST_FILE) $(addprefix -u ,$(PATCHED_SYMBOLS))
 -LD_LIBS_POST=$(LIBS) $(LIBC) -lgclp $(LAST_FILE)
 +# 20031022000 tpd link axiom's C library code
-+LD_LIBS_POST=$(LIBS) $(LIBC) -lgclp ${OBJ}/${SYS}/lib/libspad.a $(LAST_FILE) 
++LD_LIBS_POST=$(LIBS) $(LIBC) -lgclp ${OBJ}/${SYS}/lib/libspad.a $(LAST_FILE)
  
  ifeq ($(ARRS),)
  ARRS:=ar rs
